<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: notepad.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: управление закладками объявлений
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

define( "ROOT_DIR", "../../.." );
define( "ENGINE_DIR", "../.." );
require_once( ENGINE_DIR."/ajax/board/OptAjax.php" );

//-------------------------------------------------====
//	Принятие и проверка входящих данных
//-------------------------------------------------====

$id = intval( $_REQUEST['id'] );
$type = $_REQUEST['type'];
$user_id = intval( $member_id['user_id'] );

if( !$is_logged ) echoReturn( "Вы не авторизированы, в связи с этим не можете использовать функцию блокнота!" );
if( !$id ) echoReturn( "Приняты не все данные, попробуйте снова!" );

//-------------------------------------------------====
//	Выполнение и вывод в зависимости от запроса
//-------------------------------------------------====

if( $type == "add" )
	{
		if( $member_id['board_notepad'] )
			{
				$member_id['board_notepad'] = explode( ",", $member_id['board_notepad'] );
				if( !in_array( $id, $member_id['board_notepad'] ) )
					{
						$member_id['board_notepad'][] = $id;	
					}
				
				$member_id['board_notepad'] = implode( ",", $member_id['board_notepad'] );
			}
				else
			{
				$member_id['board_notepad'] = $id;	
			}
			
		$db->query( "UPDATE ".USERPREFIX."_users SET `board_notepad`='{$member_id['board_notepad']}' WHERE `user_id`='{$user_id}'" );
	}
elseif( $type == "del" )
	{
		if( $member_id['board_notepad'] )
			{
				$member_id['board_notepad'] = explode( ",", $member_id['board_notepad'] );
				if( in_array( $id, $member_id['board_notepad'] ) )
					{
						foreach( $member_id['board_notepad'] as $key => $value )
							{
								if( $value == $id ) unset( $member_id['board_notepad'][ $key ] );
							}
					}
				
				$member_id['board_notepad'] = implode( ",", $member_id['board_notepad'] );
			}
				else
			{
				$member_id['board_notepad'] = "";	
			}
			
		$db->query( "UPDATE ".USERPREFIX."_users SET `board_notepad`='{$member_id['board_notepad']}' WHERE `user_id`='{$user_id}'" );
	}
		else
	{
		echoReturn( "Приняты не все данные, попробуйте снова!" );
	}

echo $Board->NotepadPost( $id, false );

//-------------------------------------------------====
//	Завершение работы
//-------------------------------------------------====

$db->close();

?>